.icon {
  display: flex;
  align-items: center;
  justify-content: center;
}

@each $key, $size in (
                (xs, 10),
                (sm, 12),
                (md, 14),
                (lg, 16),
                (xl, 18),
) {
  .#{$key}Size {
    height: #{$size}px;
    width: #{$size}px;
  }
}

.source {
  height: 100%;
  width: 100%;
  display: block;
  pointer-events: none;
  fill: currentColor;
}